GET /checkers/spf
GETcheckers/spf
Verifies the SPF record for the given domain
Query Parameters
domain string Required
The domain to check for SPF record
Returns
- dataobject
- dns_queries_to_resolvenumberNumber of DNS queries required to fully resolve the SPF record
- resultbooleanIndicates whether the SPF check passed
- recordstringThe raw SPF TXT record retrieved from DNS
- multiple_spf_recordsarrayMultiple SPF records if more than one was found
- domainstringDomain against which the SPF record was evaluated
- warningsarrayNon-critical issues found during SPF evaluation
- mechanismsarrayList of SPF mechanisms parsed from the record
- mechanismstringThe SPF mechanism
- modifierstringThe SPF modifier
- dataobjectThe data associated with the mechanism
- warningstringWarning message if an issue was detected with this mechanism
- is_dns_query_to_resolvebooleanIndicates whether this mechanism requires a DNS lookup
- domainstringThe domain associated with this mechanism
- mechanismstring
- dns_queries_to_resolvenumber
Error Codes
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
500 Internal Server Error
Internal server error